# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_Displayer Class Reference

`#include <TestTopOpeDraw_Displayer.hxx>`

Inheritance diagram for TestTopOpeDraw_Displayer:

[legend]

## Public Member Functions

Standard_EXPORT | TestTopOpeDraw_Displayer ()
Standard_EXPORT | TestTopOpeDraw_Displayer (const TCollection_AsciiString &, const TopoDS_Shape &)
Standard_EXPORT | TestTopOpeDraw_Displayer (const TCollection_AsciiString &, const TCollection_AsciiString &, const TopoDS_Shape &)
Standard_EXPORT void | DisplayShape (const TCollection_AsciiString &, const TopoDS_Shape &)
Standard_EXPORT void | DisplayShape (const TCollection_AsciiString &, const TCollection_AsciiString &, const TopoDS_Shape &)
Standard_EXPORT void | InitDisplayer ()
void | SetShape (const TCollection_AsciiString &, const TopoDS_Shape &)
TCollection_AsciiString & | NameDBRep ()
TCollection_AsciiString & | NameDisplay ()
void | DisplayGeometry (const Standard_Boolean b)
Standard_Boolean | DisplayGeometry (void)
void | DisplayNameWithGeometry (const Standard_Boolean b)
void | DisplayNameWithOrientation (const Standard_Boolean b)
void | NbIsos (const Standard_Integer n)
void | NbIsosDef (const Standard_Boolean b)
void | Discret (const Standard_Integer n)
void | DiscretDef (const Standard_Boolean b)
void | SetTol (const Standard_Real Tol)
void | GetTol (Standard_Real Tol)
Standard_Boolean | TolIs (void)
void | TolIs (Standard_Boolean TolIs)
void | SetPar (const Standard_Real Par)
void | GetPar (Standard_Real Par)
Standard_Boolean | ParIs (void)
void | SetColor (const Draw_Color Col)
void | SetNameColor (const Draw_Color Col)
void | AllColors (const Draw_Color Col)

## Protected Attributes

TCollection_AsciiString | myNameDBRep
TCollection_AsciiString | myNameDisplay
Standard_Boolean | myDisplayGeometry
Standard_Boolean | myDisplayNameWithGeometry
Standard_Boolean | myDisplayNameWithOrientation
Draw_Color | myNameColor
Standard_Boolean | myNameColorIs
Draw_Color | myCol
Standard_Boolean | myColIs

## Private Member Functions

void | DisplayShapePrivate ()

## Private Attributes

TopoDS_Shape | myShape
Standard_Real | mySsize
Standard_Integer | mySnbisos
Standard_Boolean | mySnbisosdef
Standard_Integer | mySdiscret
Standard_Boolean | mySdiscretdef
Standard_Real | myTol
Standard_Boolean | myTolIs
Standard_Real | myPar
Standard_Boolean | myParIs

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeDraw_Displayer::TestTopOpeDraw_Displayer | ( |  | ) |

Standard_EXPORT TestTopOpeDraw_Displayer::TestTopOpeDraw_Displayer | ( | const TCollection_AsciiString & | ,
|  | const TopoDS_Shape & |
| ) |

Standard_EXPORT TestTopOpeDraw_Displayer::TestTopOpeDraw_Displayer | ( | const TCollection_AsciiString & | ,
|  | const TCollection_AsciiString & | ,
|  | const TopoDS_Shape & |
| ) |

## Member Function Documentation

void TestTopOpeDraw_Displayer::AllColors | ( | const Draw_Color | Col | ) | `[inline]`

void TestTopOpeDraw_Displayer::Discret | ( | const Standard_Integer | n | ) | `[inline]`

void TestTopOpeDraw_Displayer::DiscretDef | ( | const Standard_Boolean | b | ) | `[inline]`

Standard_Boolean TestTopOpeDraw_Displayer::DisplayGeometry | ( | void |  | ) | `[inline]`

void TestTopOpeDraw_Displayer::DisplayGeometry | ( | const Standard_Boolean | b | ) | `[inline]`

void TestTopOpeDraw_Displayer::DisplayNameWithGeometry | ( | const Standard_Boolean | b | ) | `[inline]`

void TestTopOpeDraw_Displayer::DisplayNameWithOrientation | ( | const Standard_Boolean | b | ) | `[inline]`

Standard_EXPORT void TestTopOpeDraw_Displayer::DisplayShape | ( | const TCollection_AsciiString & | ,
|  | const TCollection_AsciiString & | ,
|  | const TopoDS_Shape & |
| ) |

Standard_EXPORT void TestTopOpeDraw_Displayer::DisplayShape | ( | const TCollection_AsciiString & | ,
|  | const TopoDS_Shape & |
| ) |

void TestTopOpeDraw_Displayer::DisplayShapePrivate | ( |  | ) | `[private]`

void TestTopOpeDraw_Displayer::GetPar | ( | Standard_Real | Par | ) | `[inline]`

void TestTopOpeDraw_Displayer::GetTol | ( | Standard_Real | Tol | ) | `[inline]`

Standard_EXPORT void TestTopOpeDraw_Displayer::InitDisplayer | ( |  | ) |

TCollection_AsciiString& TestTopOpeDraw_Displayer::NameDBRep | ( |  | ) | `[inline]`

TCollection_AsciiString& TestTopOpeDraw_Displayer::NameDisplay | ( |  | ) | `[inline]`

void TestTopOpeDraw_Displayer::NbIsos | ( | const Standard_Integer | n | ) | `[inline]`

void TestTopOpeDraw_Displayer::NbIsosDef | ( | const Standard_Boolean | b | ) | `[inline]`

Standard_Boolean TestTopOpeDraw_Displayer::ParIs | ( | void |  | ) | `[inline]`

void TestTopOpeDraw_Displayer::SetColor | ( | const Draw_Color | Col | ) | `[inline]`

void TestTopOpeDraw_Displayer::SetNameColor | ( | const Draw_Color | Col | ) | `[inline]`

void TestTopOpeDraw_Displayer::SetPar | ( | const Standard_Real | Par | ) | `[inline]`

void TestTopOpeDraw_Displayer::SetShape | ( | const TCollection_AsciiString & | ,
|  | const TopoDS_Shape & |
| ) |

void TestTopOpeDraw_Displayer::SetTol | ( | const Standard_Real | Tol | ) | `[inline]`

void TestTopOpeDraw_Displayer::TolIs | ( | Standard_Boolean | TolIs | ) | `[inline]`

Standard_Boolean TestTopOpeDraw_Displayer::TolIs | ( | void |  | ) | `[inline]`

## Field Documentation

Draw_Color TestTopOpeDraw_Displayer::myCol `[protected]`

Standard_Boolean TestTopOpeDraw_Displayer::myColIs `[protected]`

Standard_Boolean TestTopOpeDraw_Displayer::myDisplayGeometry `[protected]`

Standard_Boolean TestTopOpeDraw_Displayer::myDisplayNameWithGeometry `[protected]`

Standard_Boolean TestTopOpeDraw_Displayer::myDisplayNameWithOrientation `[protected]`

Draw_Color TestTopOpeDraw_Displayer::myNameColor `[protected]`

Standard_Boolean TestTopOpeDraw_Displayer::myNameColorIs `[protected]`

TCollection_AsciiString TestTopOpeDraw_Displayer::myNameDBRep `[protected]`

TCollection_AsciiString TestTopOpeDraw_Displayer::myNameDisplay `[protected]`

Standard_Real TestTopOpeDraw_Displayer::myPar `[private]`

Standard_Boolean TestTopOpeDraw_Displayer::myParIs `[private]`

Standard_Integer TestTopOpeDraw_Displayer::mySdiscret `[private]`

Standard_Boolean TestTopOpeDraw_Displayer::mySdiscretdef `[private]`

TopoDS_Shape TestTopOpeDraw_Displayer::myShape `[private]`

Standard_Integer TestTopOpeDraw_Displayer::mySnbisos `[private]`

Standard_Boolean TestTopOpeDraw_Displayer::mySnbisosdef `[private]`

Standard_Real TestTopOpeDraw_Displayer::mySsize `[private]`

Standard_Real TestTopOpeDraw_Displayer::myTol `[private]`

Standard_Boolean TestTopOpeDraw_Displayer::myTolIs `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_Displayer.hxx